declare type AlignProps = "baseline" | "flex-start" | "flex-end" | "stretch" | "center";
declare type JustifyProps = "flex-start" | "flex-end" | "center" | "space-between" | "space-around" | "space-evenly";
declare type AlignSelfProps = "space-between" | "flex-start" | "flex-end" | "stretch" | "center" | "space-around";
export declare type FlexProps = {
    flex?: number;
    row?: boolean;
    column?: boolean;
    reverse?: "row-reverse" | "column-reverse";
    wrap?: "wrap" | "wrap-reverse" | "nowrap" | boolean;
    align?: AlignProps;
    alignSelf?: AlignSelfProps;
    justify?: JustifyProps;
    justifySelf?: JustifyProps;
    shrink?: number;
    background?: string;
    borderRadius?: number;
    borderTopRightRadius?: number;
    borderTopLeftRadius?: number;
    borderBottomRightRadius?: number;
    borderBottomLeftRadius?: number;
    padding?: number | string;
    horizontalPadding?: number;
    verticalPadding?: number;
    opacity?: number;
    width?: string | number;
    height?: string | number;
    zIndex?: number;
};
export declare const makeFlexCSS: ({ flex, wrap, align, justify, justifySelf, row, column, reverse, alignSelf, shrink, background, horizontalPadding, verticalPadding, padding, borderRadius, opacity, borderTopRightRadius, borderTopLeftRadius, borderBottomRightRadius, borderBottomLeftRadius, width, height, zIndex, }: FlexProps) => import("styled-components").FlattenSimpleInterpolation;
export declare const Flex: import("styled-components").StyledComponent<"div", any, FlexProps, never>;
export {};
